> For the complete documentation index, see [llms.txt](https://docs.layraweb.com.tr/merhaba/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.layraweb.com.tr/merhaba/anadil/calismalar-ve-notlar/combolist-doldurma.md).

# ComboList Doldurma

"ComboDoldur" isimli bir fonksiyon oluşturuldu. Bu fonksiyon, RS32 kütüphanesindeki özellikleri kullanarak bir SELECT sorgusu yapmaktadır. Elde edilen veriler "f.combo\_sehir.AddToList()" komutu ile "combo list" alanına eklenmektedir.

```visual-basic
Function ComboDoldur(f As Object)
Dim Rs As RecordSet
  
  Rs:=PrepareStmDirect("SELECT id,sehir_adi FROM default_servis_sehir")
  If Not Rs.ExecuteStm() Then
    OutM("<<< HATA OLUŞTU >>> Sorgulama Çalıştırılamadı.")
    Return
  EndIf
  f.combo_sehir.SelectTextInList("Seçim Yapın") 
  While Rs.MoveNext()
    f.combo_sehir.AddToList(Rs.sehir_adi)
  Wend
  Rs.Close()
EndFunction
```

{% content-ref url="/pages/0IbQMI74CMS2MvBdti95" %}
[AddToList](/merhaba/anadil/kutuphane/kontrol-nesneleri/listbox-ve-combobox/addtolist.md)
{% endcontent-ref %}

{% content-ref url="/pages/iB9Id9pJbOESU1FT2nDS" %}
[SelectTextInList](/merhaba/anadil/kutuphane/kontrol-nesneleri/listbox-ve-combobox/selecttextinlist.md)
{% endcontent-ref %}

{% content-ref url="/pages/aGkPXagCOaY0deVnHSRE" %}
[PrepareStmDirect](/merhaba/anadil/kutuphane/rs32/fonksiyonlar/preparestmdirect.md)
{% endcontent-ref %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.layraweb.com.tr/merhaba/anadil/calismalar-ve-notlar/combolist-doldurma.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
